Bug 1005982 - nodejs-tape-3.0.1 is available
nodejs-tape-3.0.1 is available
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: nodejs-tape (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jamie Nguyen
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On: 1019112 1123069 1123071
Blocks: 1114313 1148321
  Show dependency treegraph
 
Reported: 2013-09-09 14:51 EDT by Upstream Release Monitoring
Modified: 2014-11-10 01:22 EST (History)
3 users (show)

See Also:
Fixed In Version: nodejs-tape-3.0.1-2.fc21
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-11-10 01:22:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to update to 3.0.1 (1.31 KB, patch)
2014-10-23 15:20 EDT, Tom Hughes
no flags Details | Diff

  None (edit)
Description Upstream Release Monitoring 2013-09-09 14:51:25 EDT
Latest upstream release: 1.1.0
Current version/release in Fedora Rawhide: 1.0.4-1.fc20
URL: http://registry.npmjs.org/tape

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 1 Upstream Release Monitoring 2013-09-23 05:35:26 EDT
Latest upstream release: 1.1.1
Current version/release in Fedora Rawhide: 1.0.4-1.fc20
URL: http://registry.npmjs.org/tape

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 2 Upstream Release Monitoring 2013-10-15 03:57:59 EDT
Latest upstream release: 2.0.0
Current version/release in Fedora Rawhide: 1.0.4-1.fc20
URL: http://registry.npmjs.org/tape

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 3 Upstream Release Monitoring 2013-10-27 05:03:29 EDT
Latest upstream release: 2.1.0
Current version/release in Fedora Rawhide: 1.0.4-1.fc20
URL: http://registry.npmjs.org/tape

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 4 Upstream Release Monitoring 2013-11-25 04:11:57 EST
Latest upstream release: 2.3.0
Current version/release in Fedora Rawhide: 1.0.4-1.fc20
URL: http://registry.npmjs.org/tape

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 5 Upstream Release Monitoring 2013-12-18 05:04:58 EST
Latest upstream release: 2.3.2
Current version/release in Fedora Rawhide: 1.0.4-1.fc20
URL: http://registry.npmjs.org/tape

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 6 Upstream Release Monitoring 2014-01-30 04:23:59 EST
Latest upstream release: 2.4.0
Current version/release in Fedora Rawhide: 1.0.4-1.fc20
URL: http://registry.npmjs.org/tape

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 7 Upstream Release Monitoring 2014-02-01 19:58:09 EST
Latest upstream release: 2.4.2
Current version/release in Fedora Rawhide: 1.0.4-1.fc20
URL: http://registry.npmjs.org/tape

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 8 Upstream Release Monitoring 2014-02-21 04:06:22 EST
Latest upstream release: 2.5.0
Current version/release in Fedora Rawhide: 1.0.4-1.fc20
URL: http://registry.npmjs.org/tape

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 9 Upstream Release Monitoring 2014-03-04 03:20:33 EST
Latest upstream release: 2.6.0
Current version/release in Fedora Rawhide: 1.0.4-1.fc20
URL: http://registry.npmjs.org/tape

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 10 Upstream Release Monitoring 2014-03-05 05:04:54 EST
Latest upstream release: 2.10.2
Current version/release in Fedora Rawhide: 1.0.4-1.fc20
URL: http://registry.npmjs.org/tape

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 11 Upstream Release Monitoring 2014-03-26 04:54:53 EDT
Latest upstream release: 2.12.0
Current version/release in Fedora Rawhide: 1.0.4-1.fc20
URL: http://registry.npmjs.org/tape

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 12 Upstream Release Monitoring 2014-03-30 05:54:55 EDT
Latest upstream release: 2.12.1
Current version/release in Fedora Rawhide: 1.0.4-1.fc20
URL: http://registry.npmjs.org/tape

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 13 Upstream Release Monitoring 2014-04-03 05:57:41 EDT
Latest upstream release: 2.12.2
Current version/release in Fedora Rawhide: 1.0.4-1.fc20
URL: http://registry.npmjs.org/tape

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 14 Upstream Release Monitoring 2014-04-14 04:26:11 EDT
Latest upstream release: 2.12.3
Current version/release in Fedora Rawhide: 1.0.4-1.fc20
URL: http://registry.npmjs.org/tape

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 15 Upstream Release Monitoring 2014-05-23 06:36:57 EDT
Latest upstream release: 2.13.1
Current version/release in Fedora Rawhide: 1.0.4-1.fc20
URL: http://registry.npmjs.org/tape

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 16 Upstream Release Monitoring 2014-06-03 03:51:53 EDT
Latest upstream release: 2.13.2
Current version/release in Fedora Rawhide: 1.0.4-1.fc20
URL: http://registry.npmjs.org/tape

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 17 Upstream Release Monitoring 2014-06-21 14:44:30 EDT
Latest upstream release: 2.13.3
Current version/release in Fedora Rawhide: 1.0.4-2.fc21
URL: http://registry.npmjs.org/tape

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 18 Tom Hughes 2014-06-29 17:30:55 EDT
Any plans to update this? Only a new version of one of my modules has switched to using tape and seems to need a newer version than the 1.0.4 that we currently have packaged...
Comment 19 Jamie Nguyen 2014-06-30 13:15:58 EDT
(In reply to Tom Hughes from comment #18)
> Any plans to update this? Only a new version of one of my modules has
> switched to using tape and seems to need a newer version than the 1.0.4 that
> we currently have packaged...

Yeah, sorry. I have a rather soul-crushingly massive backlog of package updates to attend to. This is on my todo list. I will get round to it when I can. ($DAYJOB and $LIFE are taking most of my time and energy at the moment.)
Comment 20 Upstream Release Monitoring 2014-07-24 09:51:54 EDT
Latest upstream release: 2.13.4
Current version/release in Fedora Rawhide: 1.0.4-2.fc21
URL: http://registry.npmjs.org/tape

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 21 Upstream Release Monitoring 2014-08-05 01:52:45 EDT
Latest upstream release: 2.14.0
Current version/release in Fedora Rawhide: 1.0.4-2.fc21
URL: http://registry.npmjs.org/tape

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 22 Upstream Release Monitoring 2014-09-17 12:05:47 EDT
Latest upstream release: 3.0.0
Current version/release in Fedora Rawhide: 1.0.4-2.fc21
URL: http://registry.npmjs.org/tape

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring Soon this service will be implemented by a new system: https://github.com/fedora-infra/anitya/
It will require to manage monitored projects via a new web interface. Please make yourself familiar with the new system to ease the transition.
Comment 23 Upstream Release Monitoring 2014-10-18 04:27:43 EDT
Latest upstream release: 3.0.1
Current version/release in Fedora Rawhide: 1.0.4-2.fc21
URL: http://registry.npmjs.org/tape

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring Soon this service will be implemented by a new system: https://github.com/fedora-infra/anitya/
It will require to manage monitored projects via a new web interface. Please make yourself familiar with the new system to ease the transition.
Comment 24 Tom Hughes 2014-10-23 15:20:33 EDT
Created attachment 950051 [details]
Patch to update to 3.0.1
Comment 25 Jamie Nguyen 2014-10-26 03:15:00 EDT
Thanks Tom. Patched and builds in progress.
Comment 26 Tom Hughes 2014-10-26 03:47:25 EDT
You'll need the newer version of deep-equal as well, at least if you want the tape tests to pass.
Comment 27 Fedora Update System 2014-10-26 04:43:46 EDT
nodejs-tape-3.0.1-1.fc21,nodejs-deep-equal-0.2.1-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nodejs-tape-3.0.1-1.fc21,nodejs-deep-equal-0.2.1-2.fc21
Comment 28 Tom Hughes 2014-10-26 05:33:18 EDT
Looks like there are some dependency issues:

DEBUG util.py:283:  Error: Package: nodejs-tape-3.0.1-1.fc22.noarch (build)
DEBUG util.py:283:             Requires: npm(inherits) >= 2.0.1
DEBUG util.py:283:             Installing: nodejs-inherits-2.0.0-5.fc21.noarch (build)
DEBUG util.py:283:                 npm(inherits) = 2.0.0
DEBUG util.py:283:             Available: nodejs-inherits1-1.0.0-13.fc21.noarch (build)
DEBUG util.py:283:                 npm(inherits) = 1.0.0
DEBUG util.py:283:  Error: Package: nodejs-tape-3.0.1-1.fc22.noarch (build)
DEBUG util.py:283:             Requires: npm(glob) >= 3.2.9
DEBUG util.py:283:             Installing: nodejs-glob-3.2.6-2.fc21.noarch (build)
DEBUG util.py:283:                 npm(glob) = 3.2.6
DEBUG util.py:283:  Error: Package: nodejs-tape-3.0.1-1.fc22.noarch (build)
DEBUG util.py:283:             Requires: npm(object-inspect) < 0.5
DEBUG util.py:283:             Installing: nodejs-object-inspect-1.0.0-1.fc22.noarch (build)
DEBUG util.py:283:                 npm(object-inspect) = 1.0.0
DEBUG util.py:283:  Error: Package: nodejs-tape-3.0.1-1.fc22.noarch (build)
DEBUG util.py:283:             Requires: npm(object-inspect) < 0.5
DEBUG util.py:283:             Available: nodejs-object-inspect-1.0.0-1.fc22.noarch (build)
DEBUG util.py:283:                 npm(object-inspect) = 1.0.0

I know the tape tests were passing with object-inspect 1.0.0 so we can likely just fixdep that.

That leaves inherits and glob. Again the tape tests seem to have been passing with what we have, but I'm happy to look at producing patches to bump those if you prefer?
Comment 29 Tom Hughes 2014-10-26 05:50:57 EDT
I've added a patch to #1003351 to update inherits.
Comment 30 Jamie Nguyen 2014-10-26 05:59:16 EDT
I've fix-dep'ed nodejs-tape for now.

Updating the ~300 Node.js packages that I maintain/co-maintain is on my todo list.
Comment 31 Fedora Update System 2014-10-27 04:18:12 EDT
Package nodejs-deep-equal-0.2.1-2.fc21, nodejs-tape-3.0.1-2.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nodejs-deep-equal-0.2.1-2.fc21 nodejs-tape-3.0.1-2.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-13651/nodejs-tape-3.0.1-2.fc21,nodejs-deep-equal-0.2.1-2.fc21
then log in and leave karma (feedback).
Comment 32 Fedora Update System 2014-10-28 06:07:13 EDT
Package nodejs-tape-3.0.1-2.fc21, nodejs-deep-equal-0.2.1-3.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nodejs-tape-3.0.1-2.fc21 nodejs-deep-equal-0.2.1-3.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-13651/nodejs-tape-3.0.1-2.fc21,nodejs-deep-equal-0.2.1-3.fc21
then log in and leave karma (feedback).
Comment 33 Fedora Update System 2014-10-30 21:28:13 EDT
Package nodejs-tape-3.0.1-2.fc21, nodejs-deep-equal-0.2.1-3.fc21, nodejs-tap-0.4.4-3.fc21, nodejs-difflet-0.2.3-7.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nodejs-tape-3.0.1-2.fc21 nodejs-deep-equal-0.2.1-3.fc21 nodejs-tap-0.4.4-3.fc21 nodejs-difflet-0.2.3-7.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-13651/nodejs-tap-0.4.4-3.fc21,nodejs-difflet-0.2.3-7.fc21,nodejs-tape-3.0.1-2.fc21,nodejs-deep-equal-0.2.1-3.fc21
then log in and leave karma (feedback).
Comment 34 Fedora Update System 2014-11-10 01:22:27 EST
nodejs-tape-3.0.1-2.fc21, nodejs-deep-equal-0.2.1-3.fc21, nodejs-tap-0.4.4-3.fc21, nodejs-difflet-0.2.3-7.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.